// This program uses all of the functions associated with the Measurement Systems
// USB_ERB24 relay controller as a console application under Microsoft Visual C++ 6.0
// 1. need to copy C:\Program Files\Measurement Computing\DAQ\C\cbw.h into project
// 2. need to copy C:\Program Files\Measurement Computing\DAQ\C\cwb32.lib into project
// 3. need to add [dirve and directory]\cwb32.lib into [project settings] [link] 
//
// The functions available are:
//		status=cbFlashLED(ERB24);
//		status=cbDOut(ERB24,port,data);
//		status=cbDIn(ERB24,port,&dataBack);
//      not used
//		status=cbDBitOut(ERB24,FIRSTPORTA,0x02,1);
// 		status=cbDBitIn(ERB24,FIRSTPORTA,0x02,&dataBack);


#include "stdafx.h"
#include "cbw.h"
#include "RmtPunch.h"

#include <stdio.h>
#include <conio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <errno.h>
#include <time.h>
#include "cbw.h"


#define ERB24  0
// funct =0 reset all relay banks to normal closed
// funct =1 flash LED on board
// funct =2 write (data) out to port (port) 
// funct =3 read (data) back from port (port) 
// 
//int relayCntl(int funct,int port, unsigned short *data);

	
int relayCntl(int funct,int port, unsigned short *data)
{
	
	int status;
	unsigned short dataBack;

	
	switch(funct)
	{
	case 0:
				status=cbDOut(ERB24,FIRSTPORTA,0x00);
				status=cbDOut(ERB24,FIRSTPORTB,0x00);
				status=cbDOut(ERB24,FIRSTPORTCL,0x00);
				status=cbDOut(ERB24,FIRSTPORTCH,0x00);
				return(status);
				break;

	case 1:
		
				printf("Flashing LED on board\n");
				status=cbFlashLED(ERB24);
				return(status);
				break;

	case 2:
				status=cbDOut(ERB24,port,*data);
				return(status);
				break;
	case 3:
				status=cbDIn(ERB24,port,&dataBack);
				*data = dataBack;
				return(status);
				break;
	default:
		        return(-999);
	}
}

